### Method

# St Label set_text

#### Declaration [src]

    void
    st_label_set_text (
      StLabel* label,
      const gchar* text
    )

#### Description [src]

Sets the text displayed by the label.

Sets property | `St.Label:text`

#### Parameters

`text`

  Type: `const gchar*`

  Text to set the label to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.